AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- AWSKinesisProvider

### Implements

- any

## Index

### Constructors

- constructor

### Methods

- configure
- getCategory
- getProviderName
- record
- updateEndpoint

## Constructors

### constructor

- new AWSKinesisProvider(config?: any): AWSKinesisProvider

- - Defined in analytics/src/Providers/AWSKinesisProvider.ts:32

  #### Parameters

  - ##### Optional config: any

  #### Returns AWSKinesisProvider

## Methods

### configure

- configure(config: any): object

- - Defined in analytics/src/Providers/AWSKinesisProvider.ts:87

  configure the plugin

  #### Parameters

  - ##### config: any

    configuration

  #### Returns object

### getCategory

- getCategory(): string

- - Defined in analytics/src/Providers/AWSKinesisProvider.ts:72

  get the category of the plugin

  #### Returns string

### getProviderName

- getProviderName(): string

- - Defined in analytics/src/Providers/AWSKinesisProvider.ts:79

  get provider name of the plugin

  #### Returns string

### record

- record(params: any): Promise<boolean>

- - Defined in analytics/src/Providers/AWSKinesisProvider.ts:100

  record an event

  #### Parameters

  - ##### params: any

    the params of an event

  #### Returns Promise<boolean>

### updateEndpoint

- updateEndpoint(params: any): any

- - Defined in analytics/src/Providers/AWSKinesisProvider.ts:109

  #### Parameters

  - ##### params: any

  #### Returns any